Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.patterns
Class ContextMatchStepPattern

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.patterns.StepPattern
                        |
                        +--weblogic.apache.xpath.patterns.ContextMatchStepPattern

public class ContextMatchStepPattern
extends StepPattern

Special context node pattern matcher.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.patterns.StepPattern
`m_axis`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`ContextMatchStepPattern(int axis, int paxis)` Construct a ContextMatchStepPattern.

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute this pattern step, including predicates.
`XObject` | `executeRelativePathPattern(XPathContext xctxt, StepPattern prevStep)` Execute the match pattern step relative to another step.

Methods inherited from class weblogic.apache.xpath.patterns.StepPattern
`calcScore, calcTargetString, canTraverseOutsideSubtree, execute, execute, executePredicates, executeRelativePathPattern, fixupVariables, getAxis, getLastPos, getMatchScore, getPredicate, getPredicateCount, getPredicates, getProximityPosition, getRelativePathPattern, getTargetString, setAxis, setPredicates, setRelativePathPattern, toString`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`debugWhatToShow, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, getWhatToShow, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextMatchStepPattern

    public ContextMatchStepPattern(int axis,
                                   int paxis)

  Construct a ContextMatchStepPattern.

  Parameters:
    `whatToShow` - Bit set defined mainly by `NodeFilter`.

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute this pattern step, including predicates.

  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class StepPattern

### executeRelativePathPattern

    public XObject executeRelativePathPattern(XPathContext xctxt,
                                              StepPattern prevStep)
                                       throws javax.xml.transform.TransformerException

  Execute the match pattern step relative to another step.

  Parameters:
    `xctxt` - The XPath runtime context. NEEDSDOC @param prevStep
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference